package com.sooka.system.gas.zenner_gas_purchase_center_infor.service.impl;

import com.sooka.common.core.text.Convert;
import com.sooka.common.utils.DateUtils;
import com.sooka.system.gas.zenner_gas_purchase_center_infor.domain.TGuijiZennerGasPurchaseCenterInfor;
import com.sooka.system.gas.zenner_gas_purchase_center_infor.mapper.TGuijiZennerGasPurchaseCenterMapper;
import com.sooka.system.gas.zenner_gas_purchase_center_infor.service.ITGuijiZennerGasPurchaseCenterInforService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 真兰收费系统-中心计费购气信息Service业务层处理
 *
 * @author lei
 * @date 2022-08-22
 */
@Service
public class TGuijiZennerGasPurchaseCenterInforServiceImpl implements ITGuijiZennerGasPurchaseCenterInforService
{
    @Autowired
    private TGuijiZennerGasPurchaseCenterMapper mapper;

    /**
     * 查询真兰收费系统-中心计费购气信息
     *
     * @param id 真兰收费系统-中心计费购气信息ID
     * @return 真兰收费系统-中心计费购气信息
     */
    @Override
    public TGuijiZennerGasPurchaseCenterInfor selectById(String id)
    {
        return mapper.selectById(id);
    }

    /**
     * 查询真兰收费系统-中心计费购气信息列表
     *
     * @param param 真兰收费系统-中心计费购气信息
     * @return 真兰收费系统-中心计费购气信息
     */
    @Override
    public List<TGuijiZennerGasPurchaseCenterInfor> selectList(TGuijiZennerGasPurchaseCenterInfor param)
    {
        return mapper.selectList(param);
    }

    /**
     * 新增真兰收费系统-中心计费购气信息
     *
     * @param param 真兰收费系统-中心计费购气信息
     * @return 结果
     */
    @Override
    public int insert(TGuijiZennerGasPurchaseCenterInfor param)
    {
        param.setCreateTime(DateUtils.getNowDate());
        return mapper.insert(param);
    }

    /**
     * 修改真兰收费系统-中心计费购气信息
     *
     * @param param 真兰收费系统-中心计费购气信息
     * @return 结果
     */
    @Override
    public int update(TGuijiZennerGasPurchaseCenterInfor param)
    {
        return mapper.update(param);
    }

    /**
     * 删除真兰收费系统-中心计费购气信息对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteByIds(String ids)
    {
        return mapper.deleteByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除真兰收费系统-中心计费购气信息信息
     *
     * @param id 真兰收费系统-中心计费购气信息ID
     * @return 结果
     */
    @Override
    public int deleteById(String id)
    {
        return mapper.deleteById(id);
    }
}
